curl -G https://api.mavioapp.com/v1/channels \
-H "Authorization: Bearer mvo_live_abc123" \
-d limit=10 \
-d search=product
channels = client.channels.list(limit=10, search="product")
for channel in channels.data:
print(f"{channel.name} — {channel.member_count} members, {channel.meeting_count} meetings")
const { data: channels } = await client.channels.list({
limit: 10,
search: 'product',
});
channels.forEach(ch => {
console.log(`${ch.name} — ${ch.member_count} members, ${ch.meeting_count} meetings`);
});
{
"data": [
{
"id": "chn_a1b2c3d4e5",
"name": "Product Team",
"description": "Weekly product syncs and design reviews",
"visibility": "private",
"member_count": 8,
"meeting_count": 34,
"owner_id": "usr_f6g7h8",
"created_at": "2026-02-15T10:00:00Z",
"updated_at": "2026-04-12T14:30:00Z"
},
{
"id": "chn_f6g7h8i9j0",
"name": "Product Reviews",
"description": "Customer feedback sessions and product demos",
"visibility": "public",
"member_count": 15,
"meeting_count": 12,
"owner_id": "usr_k1l2m3",
"created_at": "2026-03-01T09:00:00Z",
"updated_at": "2026-04-10T16:45:00Z"
}
],
"pagination": {
"total": 2,
"limit": 10,
"offset": 0,
"has_more": false
}
}
Channels
List channels
Retrieve a paginated list of channels for the authenticated user.
GET
/
v1
/
channels
curl -G https://api.mavioapp.com/v1/channels \
-H "Authorization: Bearer mvo_live_abc123" \
-d limit=10 \
-d search=product
channels = client.channels.list(limit=10, search="product")
for channel in channels.data:
print(f"{channel.name} — {channel.member_count} members, {channel.meeting_count} meetings")
const { data: channels } = await client.channels.list({
limit: 10,
search: 'product',
});
channels.forEach(ch => {
console.log(`${ch.name} — ${ch.member_count} members, ${ch.meeting_count} meetings`);
});
{
"data": [
{
"id": "chn_a1b2c3d4e5",
"name": "Product Team",
"description": "Weekly product syncs and design reviews",
"visibility": "private",
"member_count": 8,
"meeting_count": 34,
"owner_id": "usr_f6g7h8",
"created_at": "2026-02-15T10:00:00Z",
"updated_at": "2026-04-12T14:30:00Z"
},
{
"id": "chn_f6g7h8i9j0",
"name": "Product Reviews",
"description": "Customer feedback sessions and product demos",
"visibility": "public",
"member_count": 15,
"meeting_count": 12,
"owner_id": "usr_k1l2m3",
"created_at": "2026-03-01T09:00:00Z",
"updated_at": "2026-04-10T16:45:00Z"
}
],
"pagination": {
"total": 2,
"limit": 10,
"offset": 0,
"has_more": false
}
}
Returns channels that the authenticated user owns or is a member of. Channels are used to organize meetings by team, project, or topic. Results are ordered by most recently active.
Number of channels to return per page. Must be between 1 and 100.
Number of channels to skip for pagination.
Filter channels by name. Performs a case-insensitive partial match (e.g.,
search=product matches “Product Team” and “Product Reviews”).Response
An array of channel objects.
Show Channel object
Show Channel object
Unique channel identifier (e.g.,
chn_a1b2c3d4e5).The channel name.
Optional description of the channel’s purpose.
Channel visibility:
public (visible to all team members) or private (invite-only).Number of members in the channel.
Total number of meetings in the channel.
User ID of the channel owner.
ISO 8601 timestamp when the channel was created.
ISO 8601 timestamp when the channel was last modified.
curl -G https://api.mavioapp.com/v1/channels \
-H "Authorization: Bearer mvo_live_abc123" \
-d limit=10 \
-d search=product
channels = client.channels.list(limit=10, search="product")
for channel in channels.data:
print(f"{channel.name} — {channel.member_count} members, {channel.meeting_count} meetings")
const { data: channels } = await client.channels.list({
limit: 10,
search: 'product',
});
channels.forEach(ch => {
console.log(`${ch.name} — ${ch.member_count} members, ${ch.meeting_count} meetings`);
});
{
"data": [
{
"id": "chn_a1b2c3d4e5",
"name": "Product Team",
"description": "Weekly product syncs and design reviews",
"visibility": "private",
"member_count": 8,
"meeting_count": 34,
"owner_id": "usr_f6g7h8",
"created_at": "2026-02-15T10:00:00Z",
"updated_at": "2026-04-12T14:30:00Z"
},
{
"id": "chn_f6g7h8i9j0",
"name": "Product Reviews",
"description": "Customer feedback sessions and product demos",
"visibility": "public",
"member_count": 15,
"meeting_count": 12,
"owner_id": "usr_k1l2m3",
"created_at": "2026-03-01T09:00:00Z",
"updated_at": "2026-04-10T16:45:00Z"
}
],
"pagination": {
"total": 2,
"limit": 10,
"offset": 0,
"has_more": false
}
}
⌘I